# coding: UTF-8

class SelectionRulesController < ApplicationController
  before_filter :load_source

  def load_source
    @source = Source.find(params[:source_id])
  end

  # GET /selection_rules/new
  # GET /selection_rules/new.json
  def new
    @selection_rule = @source.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @selection_rule }
    end
  end

  # GET /selection_rules/1/edit
  def edit
    @source.selection_rule = SelectionRule.new if @source.selection_rule.blank?
    @selection_rule = @source.selection_rule
  end

  # POST /selection_rules
  # POST /selection_rules.json
  def create
    @selection_rule = @source.selection_rule.new(params[:selection_rule])

    respond_to do |format|
      if @selection_rule.save
        format.html { redirect_to @selection_rule, notice: 'Selection rule was successfully created.' }
        format.json { render json: @selection_rule, status: :created, location: @selection_rule }
      else
        format.html { render action: "new" }
        format.json { render json: @selection_rule.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /selection_rules/1
  # PUT /selection_rules/1.json
  def update
    @selection_rule = @source.selection_rule
      
    respond_to do |format|
      if @selection_rule.update_attributes(params[:selection_rule])
        # Refresquem la informació
        format.html { redirect_to refresh_source_url(@source) }
        format.json { head :ok }
      else
        format.html { render action: "edit" }
        format.json { render json: @selection_rule.errors, status: :unprocessable_entity }
      end
    end
  end

end
