# coding: UTF-8

class SourcesController < ApplicationController
  # GET /sources
  # GET /sources.json
  def index
    @sources = Source.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @sources }
    end
  end

  # GET /sources/1
  # GET /sources/1.json
  def show
    @source = Source.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @source }
    end
  end

  # GET /sources/new
  # GET /sources/new.json
  def new
    @source = Source.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @source }
    end
  end

  # GET /sources/1/edit
  def edit
    @source = Source.find(params[:id])
  end

  # POST /sources
  # POST /sources.json
  def create
    @source = Source.new(params[:source])
    @source.parse
    @source.selection_rule = SelectionRule.new

    respond_to do |format|
      if @source.save
        format.html { redirect_to @source, notice: 'Font d\'informació creada correctament' }
        format.json { render json: @source, status: :created, location: @source }
      else
        format.html { render action: "new" }
        format.json { render json: @source.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /sources/1
  # PUT /sources/1.json
  def update
    @source = Source.find(params[:id])
    
    respond_to do |format|
      if @source.update_attributes(params[:source])
        @source.parse
        # Apliquem regles de selecció
        @source.items = @source.selection_rule.apply_all
        @source.save!
        
        # filtered_items = @source.selection_rule.apply_all
        # # Guardem els articles ja filtrats
        # @source.items.delete_all
        # @source.items.concat(filtered_items)
        # @source.save!
   
        format.html { redirect_to @source, notice: 'Font d\'informació actualitzada correctament.' }
        format.json { head :ok }
      else
        format.html { render action: "edit" }
        format.json { render json: @source.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /sources/1
  # DELETE /sources/1.json
  def destroy
    @source = Source.find(params[:id])
    @source.destroy

    respond_to do |format|
      format.html { redirect_to sources_url }
      format.json { head :ok }
    end
  end
  
  def export
    @source = Source.find(params[:id])
    @source.export
    redirect_to sources_url, notice: 'Exportació a OpenDocument realitzada correctament'
  end
  
  def refresh
    @source = Source.find(params[:id])
    @source.parse
    # Apliquem regles de selecció
    @source.items = @source.selection_rule.apply_all
    @source.save!

    respond_to do |format|
      format.html { redirect_to sources_url, notice: "Font d'informació '#{@source.title}' actualitzada correctament." }
      format.json { head :ok }
    end   
  end
  
end
