<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8" indent="yes" />
	
	<xsl:template match="/">
		<div class="items">
			<xsl:apply-templates select="/items/item" />
		</div>
	</xsl:template>
	
	<xsl:template match="item">
		<!-- Mostrem la informació de l'article -->		
		<div class="item">
			<h3>
				<a href="{url}"><xsl:value-of select="title"/></a>
			</h3>
			<p class="date">
				<xsl:call-template name="formatDate">
					<xsl:with-param name="date" select="published"/>
				</xsl:call-template>
			</p>
			<p><xsl:value-of select="content" disable-output-escaping="yes"/></p>
		</div>
		<hr/>
	</xsl:template>
	
	<xsl:template name="formatDate">
		<xsl:param name="date"/>
		<xsl:value-of select="substring($date,9,2)" />/<xsl:value-of select="substring($date,6,2)" />/<xsl:value-of select="substring($date,1,4)"/>, <xsl:value-of select="substring($date,12,5)"/>
	</xsl:template>
</xsl:stylesheet>