require 'spec_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to specify the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator.  If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails.  There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.
#
# Compared to earlier versions of this generator, there is very limited use of
# stubs and message expectations in this spec.  Stubs are only used when there
# is no simpler way to get a handle on the object needed for the example.
# Message expectations are only used when there is no simpler way to specify
# that an instance is receiving a specific message.

describe SelectionRulesController do

  before(:each) do
    @selection_rule = Factory.create(:selection_rule)
  end

  describe "GET edit" do
    it "assigns the requested selection_rule as @selection_rule" do
      get :edit, :id => @selection_rule.id, :source_id => @selection_rule.source.id
      assigns(:selection_rule).should eq(@selection_rule)
    end
  end

  describe "PUT update" do
    describe "with valid params" do
      it "updates the requested selection_rule" do
        # Assuming there are no other selection_rules in the database, this
        # specifies that the SelectionRule created on the previous line
        # receives the :update_attributes message with whatever params are
        # submitted in the request.
        SelectionRule.any_instance.should_receive(:update_attributes).with({'these' => 'params'})
        put :update, :id => @selection_rule.id, :selection_rule => {'these' => 'params'}, :source_id => @selection_rule.source.id
      end

      it "assigns the requested selection_rule as @selection_rule" do
        put :update, :id => @selection_rule.id, :selection_rule => @selection_rule.attributes, :source_id => @selection_rule.source.id
        assigns(:selection_rule).should eq(@selection_rule)
      end

      it "redirects to the selection_rule" do
        put :update, :id => @selection_rule.id, :selection_rule => @selection_rule.attributes, :source_id => @selection_rule.source.id
        response.should redirect_to(refresh_source_path(@selection_rule.source))
      end
    end

    describe "with invalid params" do
      it "assigns the selection_rule as @selection_rule" do
        # Trigger the behavior that occurs when invalid params are submitted
        SelectionRule.any_instance.stub(:save).and_return(false)
        put :update, :id => @selection_rule.id, :selection_rule => {}, :source_id => @selection_rule.source.id
        assigns(:selection_rule).should eq(@selection_rule)
      end

      it "re-renders the 'edit' template" do
        # Trigger the behavior that occurs when invalid params are submitted
        SelectionRule.any_instance.stub(:save).and_return(false)
        put :update, :id => @selection_rule.id, :selection_rule => {}, :source_id => @selection_rule.source.id
        response.should render_template("edit")
      end
    end
  end

end
