FactoryGirl.define do
  factory :source do
    title "W3C News"
    language 'en'
    url 'http://www.w3.org/News/atom.xml'
    updated { Time.now }
  end

  factory :item do
    title "Registration for W3C Online Course on Mobile Web; Early Bird Registration Through 9 January"
    author 'Ian Jacobs'
    content 'W3C is pleased to announce that registration is now open for a third edition of the most popular W3C online training course'
    url 'http://www.w3.org/News/2011.html#entry-9296'
    published { Time.now }
    categories "Web design and applications"
    source
  end

  factory :selection_rule do
    published { 1.month.ago }
    content 'W3C'
    language 'en'
    author 'Jacobs'
    category 'publication'
    source
  end
end
