require 'spec_helper'

describe Source do

  it "parses an Atom feed" do
    s = Factory.build(:source, :url => 'http://feeds.feedburner.com/OutdoorAccess')
    s.parse
    s.items.size.should be > 0
    s.title.should == 'Outdoor Access'
  end

  it "parses a RSS feed" do
    s = Factory.build(:source, :url => 'http://en.blog.wordpress.com/feed/')
    s.parse
    s.items.size.should be > 0
    s.title.should == 'WordPress.com News'
  end


  it "reads an invalid url" do
    s = Factory.build(:source, :url => 'invalid://invalid')
    expect{s.parse}.to raise_error(Errno::ENOENT)
  end

  
  it "exports OpenDocument file" do
    s = Factory.build(:source)
    file_name = s.export
    File.exists?(file_name).should == true
  end



end
