# coding: utf-8

require 'spec_helper'

describe "Sources" do  
  
  before(:each) do
    @source = Factory.create(:source)
  end
  
  it "loads lists of sources" do
    visit sources_path
    # Comprovem que el texte que és un titular de la pàgina es mostra
    page.should have_content "Fonts d'informació"
    # Mirem si l'enllaç per crear una nova font existeix i és accessible
    page.should have_link "Crear nova"
  end    

  it "displays source information" do
    visit source_path(@source)
    # Si estem a la pàgina correcta se'ns ha de mostrar 3 botons: un per veure els articles, un altre per editar la font i, per últim, un per eliminar-la
    page.should have_link "Mostrar articles"
    page.should have_link "Editar"
    page.should have_link "Eliminar"
  end

  it "edits a source" do
    visit edit_source_path(@source)
    # Verifiquem que el camp 'URL' del formulari conté el valor '' igual que l'objecte creat
    find('#source_url').value.should eq 'http://www.w3.org/News/atom.xml'
  end    
  
end
